Show compatibility error if an add-on uses nsIDOMNSHTMLFrameElement

RESOLVED FIXED in 6.3.3

Status

addons.mozilla.org Graveyard
Compatibility Tools
P2
normal
RESOLVED FIXED
7 years ago
2 years ago

People

(Reporter: jorgev, Assigned: basta)

Tracking

unspecified
6.3.3

Details

(Whiteboard: [fx10])

(Reporter)

Description

7 years ago
As explained in bug 677085, the nsIDOMNSHTMLFrameElement interface is being removed. We need to flag all instances of this interface calls and show an error.

This is a compatibility error, so the add-on should not be upgraded in this case.

Message:

The nsIDOMNSHTMLFrameElement interface has been removed. You can use nsIDOMHTMLFrameElement instead. See <LINK> for more information.

Link: https://bugzilla.mozilla.org/show_bug.cgi?id=677085

Affected add-on:

No known add-ons.
Assignee: nobody → mattbasta
Fixed: https://github.com/mozilla/amo-validator/commit/62a91226f358eee683e741d6c17e3a4e45df2309

Pushed to zamboni: https://github.com/mozilla/zamboni/commit/6c4d24f
Status: NEW → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Product: addons.mozilla.org → addons.mozilla.org Graveyard
You need to log in before you can comment on or make changes to this bug.